#!/usr/bin/env python3

import sys
import subprocess

rundic = { 10: ( "10-Standard", "run-std.sh"),
           11: ( "11-MacPorts", "run-ports.sh"),
           12: ( "12-Homebrew", "run-HB.sh"),
           13: ( "13-Anaconda3", "run-ana3.sh"),
           14: ( "14-Homebrew-HW", "run-HB-HW.sh")
         }

def BatchRun(repeat):
    for idx in sorted(rundic.keys()):
        dmg, bash = rundic[idx]
        print( f"Repeat={repeat+1} =====================================")
        print( f"   DMG={dmg} Bash={bash}" )
        results   = subprocess.run( bash, capture_output=True, text=True )
        lines_std = results.stdout.splitlines()
        lines_err = results.stderr.splitlines()
        print(lines_std[-1])
        print(results.stderr)
        print("")

if __name__ == '__main__':
    if len(sys.argv) == 1:
        loop = 1
    else:
        loop = int(sys.argv[1])

    for repeat in range(loop):
        BatchRun(repeat)

"""
Run this script like:
  $ python3 -u batch-run.py 100 | tee repeat100.log
"""
